Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.inject.util
Class ReferenceMap.Entry

    java.lang.Object
      com.opensymphony.xwork2.inject.util.ReferenceMap.Entry

All Implemented Interfaces:
  Map.Entry<K,V>

Enclosing class:
  ReferenceMap<K,V>

     class ReferenceMap.Entry

extends Object
implements Map.Entry<K,V>

Field Summary
`(package private) K` | `key`
`(package private) V` | `value`

Constructor Summary
`ReferenceMap.Entry(K key, V value)`

Method Summary
`boolean` | `equals(Object o)`
`K` | `getKey()`
`V` | `getValue()`
`int` | `hashCode()`
`V` | `setValue(V value)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### key

    K key

### value

    V value

Constructor Detail

### ReferenceMap.Entry

    public ReferenceMap.Entry(K key,
                              V value)

Method Detail

### getKey

    public K getKey()

  Specified by:
    `getKey` in interface `Map.Entry<K,V>`

### getValue

    public V getValue()

  Specified by:
    `getValue` in interface `Map.Entry<K,V>`

### setValue

    public V setValue(V value)

  Specified by:
    `setValue` in interface `Map.Entry<K,V>`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Map.Entry<K,V>`
  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object o)

  Specified by:
    `equals` in interface `Map.Entry<K,V>`
  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.